RefreshModes (KML Framework API)
Keywords: org.boehn.kmlframework.todo.servlet.RefreshModes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.boehn.kmlframework.todo.servlet
Enum RefreshModes

    java.lang.Object
      java.lang.Enum<RefreshModes>
          org.boehn.kmlframework.todo.servlet.RefreshModes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RefreshModes>

    public enum RefreshModes

extends java.lang.Enum<RefreshModes>

Enum Constant Summary
`once`
`onInterval`

Method Summary
`static RefreshModes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RefreshModes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### onInterval

    public static final RefreshModes onInterval

### once

    public static final RefreshModes once

Method Detail

### values

    public static final RefreshModes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RefreshModes c : RefreshModes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RefreshModes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD